Inspect

List sessions

List sessions. By default returns only sessions owned by the authenticated user. Use `all=true` to return all sessions. Private sessions are excluded from this discoverable listing unless the API key user owns or participates in them; fetch other sessions by direct session ID instead.

Base URL
GET
/api/public/v1/sessions

List sessions. By default returns only sessions owned by the authenticated user. Use all=true to return all sessions. Private sessions are excluded from this discoverable listing unless the API key user owns or participates in them; fetch other sessions by direct session ID instead.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Query Parameters

all?boolean

If true, return all sessions (not just the authenticated user's).

Defaultfalse
include_archived?boolean

If true, include archived (deleted) sessions in the results.

Defaultfalse
repository?string

Filter by repository ID

pull_request_number?number

Filter by pull request number

branch_name?string

Filter by branch name. Also matches the current head branch of pull requests the session opened.

agent_id?string

Filter by custom agent ID

slack_thread?string

Filter by linked Slack thread in channel_id:thread_ts format.

tag?string

Filter by a single session tag (exact, case-sensitive match). By default matches tags added by each session owner; combine with tagged_by to match tags added by a specific user instead.

tagged_by?string

Email of the Inspect user whose tags should be used for the tag filter and surfaced in each returned session's tags field. Defaults to each session's owner. Returns 400 when no Inspect user exists for the email.

Formatemail
start_date?|

Filter sessions created on or after this date. ISO 8601 format (e.g. 2025-01-01T00:00:00Z); date-only values use the server's local time.

end_date?|

Filter sessions created on or before this date. ISO 8601 format (e.g. 2025-12-31T23:59:59Z); date-only values use the server's local time.

sort_by?string

Sort order for sessions by creation time. Defaults to newest first.

Default"created_at_desc"
Value in"created_at_desc""created_at_asc"
limit?integer

Maximum number of sessions to return (1-100)

Formatint32
Range1 <= value <= 100
Default100

Response Body

List of sessions

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://your-org.inspect.com/api/public/v1/sessions'
Example Response
{  "data": [    {      "id": "string",      "title": "string",      "description": "string",      "status": "pending",      "retryable": true,      "visibility": "public",      "model": {        "id": "string",        "name": "string",        "provider": "string",        "variant": "string"      },      "user": {        "id": "string",        "name": "string",        "email": "string",        "image": "string"      },      "openingPr": true,      "pushing": true,      "workingPhase": "string",      "deployed": true,      "deployUrl": "string",      "deployLastSucceededAt": "2019-08-24T14:15:22Z",      "deployCommitSha": "string",      "latestCommitSha": "string",      "deploy": {        "active": true,        "url": "string",        "commitSha": "string",        "latestCommitSha": "string",        "lastSucceededAt": "2019-08-24T14:15:22Z",        "lastAttemptStatus": "succeeded",        "lastAttemptCommitSha": "string",        "lastAttemptStartedAt": 0,        "timedOut": true,        "outdated": true      },      "vncUrl": "string",      "vncExpiresAt": "2019-08-24T14:15:22Z",      "otaInstallUrl": "string",      "otaQrCodeUrl": "string",      "otaExpiresAt": "2019-08-24T14:15:22Z",      "hasChanges": true,      "diffFileId": "string",      "localDiffFileId": "string",      "diffSource": "local",      "diffAdditions": 0,      "diffDeletions": 0,      "createdAt": "2019-08-24T14:15:22Z",      "finishedAt": "2019-08-24T14:15:22Z",      "lastReadAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "pullRequests": [        {          "repository": "string",          "githubRepository": "string",          "url": "http://example.com",          "pullRequestNumber": 0,          "adoptedAt": "2019-08-24T14:15:22Z",          "statusUpdatedAt": "2019-08-24T14:15:22Z",          "title": "string",          "reviewBuddyInspectSessionId": "string",          "approvalStatus": {            "stampBuddy": {              "sourceSequence": 0,              "generation": 0,              "publicationSequence": 0,              "headSha": "string",              "baseRef": "string",              "viewStatus": "ready",              "status": "not_started",              "current": true,              "reason": "string",              "rationale": {                "version": 1,                "sections": [                  {                    "title": "string",                    "items": [                      {                        "title": "string",                        "status": "passed",                        "summary": "string",                        "sessions": [                          "string"                        ],                        "details": [                          {                            "label": "string",                            "text": "string",                            "values": [                              null                            ]                          }                        ]                      }                    ]                  }                ]              },              "riskTier": "no_risk",              "autoApproval": "pending",              "history": [                {                  "headSha": "string",                  "sessionId": "string",                  "status": "not_started",                  "autoApproval": "pending",                  "updatedAt": "2019-08-24T14:15:22Z"                }              ],              "grantApprovalBinding": "string",              "updatedAt": "2019-08-24T14:15:22Z"            },            "smartReviewer": {              "sourceSequence": 0,              "generation": 0,              "publicationSequence": 0,              "headSha": "string",              "baseRef": "string",              "status": "not_started",              "current": true,              "reason": "string",              "recommendation": {                "login": "string",                "status": "available",                "reasoning": "string",                "selectionReason": "string"              },              "requestReviewBinding": "string",              "updatedAt": "2019-08-24T14:15:22Z"            }          },          "status": "draft",          "mergedAt": "2019-08-24T14:15:22Z",          "author": {            "login": "string",            "displayName": "string",            "avatarUrl": "string",            "profileUrl": "string"          }        }      ],      "repositories": [        {          "id": "string",          "isPrimary": true,          "stateUpdatedAt": "2019-08-24T14:15:22Z",          "branchName": "string",          "baseBranch": "string",          "latestCommitSha": "string",          "diff": {            "fileId": "string",            "localFileId": "string",            "source": "local",            "additions": 0,            "deletions": 0          }        }      ],      "branchName": "string",      "baseBranch": "string",      "stackBaseBranch": "string",      "helpfulness": 0,      "helpfulnessReason": "string",      "totalInputTokens": 0,      "totalOutputTokens": 0,      "totalReasoningTokens": 0,      "totalCacheReadTokens": 0,      "totalCacheWriteTokens": 0,      "totalTokens": 0,      "totalCost": 0,      "lastUserMessageAt": "2019-08-24T14:15:22Z",      "parentSessionId": "string",      "projectId": "string",      "childSessions": [        {          "id": "string",          "title": "string",          "metadata": {            "name": "string"          },          "status": "pending",          "createdAt": "2019-08-24T14:15:22Z"        }      ],      "tags": [        "string"      ],      "metadata": {        "runtime": "laminar",        "laminarStartupPending": true,        "laminarRuntime": {          "sessionId": "string",          "backend": "cell",          "displayReadyAt": "string"        },        "name": "string",        "tags": [          "string"        ],        "prLabels": [          "string"        ],        "mobileDeployOtaCommitSha": "string",        "hiddenFromDashboard": true,        "projectCoordinator": true,        "privateConnectorVisibility": {          "connectorIds": [            "string"          ],          "connectorNames": [            "string"          ],          "forcedAt": "string"        },        "lastDeployEventTs": 0,        "lastDeployStatus": "succeeded",        "lastDeployCommitSha": "string",        "secondaryDeployUrls": {},        "customAgentPromptVersion": 0,        "serviceTier": "string",        "modelClass": "fast",        "benchmarkFork": {          "repoId": "string",          "baseCommit": "string",          "baseBranch": "string",          "repo": "string"        },        "reviewRequested": true,        "reviewRequestDestinations": [          {            "label": "string",            "url": "string"          }        ],        "autoMergeEnabled": true,        "automationFanoutSummary": {          "primaryChannelId": "string",          "summaryMessageTs": "string",          "entries": [            {              "channelId": "string",              "channelName": "string",              "title": "string",              "permalink": "string",              "postedAt": "string",              "targetRepo": "string",              "priority": "high",              "proposalId": "string",              "proposalStatus": "closed",              "childSessionId": "string"            }          ]        },        "adminApiRequests": [          {            "id": "string",            "expiresAt": "string"          }        ],        "githubInspectMentionCount": 0,        "githubInspectMentionsPaused": true,        "structuredOutput": {          "status": "error",          "output": null,          "error": "string"        },        "automationTrigger": {          "type": "manual",          "details": "string",          "automationRunId": "string",          "startingInternalState": {}        }      },      "automation": {        "id": "string",        "name": "string"      },      "automationTriggerSource": "scheduled",      "contextualActions": {        "sourceAssistantMessageId": "string",        "suggestions": [          {            "actionKey": "send_prompt",            "label": "string",            "prompt": "string",            "repository": "string",            "pullRequestNumber": 0          }        ]      },      "settings": {        "ciFailuresEnabled": true,        "autoReviewEnabled": true,        "autoAddressPrReviewsPolicy": {          "enabled": true,          "reviewerCategories": {            "human": true,            "bot": true          },          "identityRules": [            {              "selector": "string",              "ruleType": "allow"            }          ],          "reviewBuddy": {            "enabled": true,            "enabledFindingTypes": [              "critical"            ]          }        }      },      "isOwner": true,      "isReadonly": true,      "participants": [        {          "id": "string",          "sessionId": "string",          "userId": "string",          "joinedAt": "2019-08-24T14:15:22Z",          "lastActiveAt": "2019-08-24T14:15:22Z",          "leftAt": "2019-08-24T14:15:22Z",          "user": {            "id": "string",            "name": "string",            "email": "string",            "image": "string"          }        }      ],      "agent": {        "id": "string",        "name": "string",        "model": "string",        "avatarUrl": "string"      },      "workspace": {        "id": "string",        "name": "string",        "description": "string",        "organization": "string",        "remote": "github",        "githubHost": "github",        "baseBranch": "string"      },      "workspaceRef": "string",      "repository": {        "id": "string",        "name": "string",        "description": "string",        "organization": "string",        "remote": "github",        "githubHost": "github",        "baseBranch": "string"      },      "pullRequest": {        "pullRequestNumber": 0,        "adoptedAt": "2019-08-24T14:15:22Z",        "title": "string",        "status": "draft",        "mergedAt": "2019-08-24T14:15:22Z",        "author": {          "login": "string",          "displayName": "string",          "avatarUrl": "string",          "profileUrl": "string"        }      },      "pullRequestNumber": 0,      "pullRequestStatus": "draft"    }  ]}